Subject: [Netmod-ver-dt] FW: New Version Notification for draft-wilton-netmod-yang-ver-selection-00.txt

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 11 Mar 2019 21:35:00 +0000

FYI.  This is the version selection draft that I knocked up.  Still only an early draft, but I want to see if the WG will accept this a solution along this lines for solving the backwards compatibility requirements.

Thanks,
Rob

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 11 March 2019 21:21
To: Reshad Rahman (rrahman) <[email-masked]>; Rob Wilton (rwilton) <[email-masked]>
Subject: New Version Notification for draft-wilton-netmod-yang-ver-selection-00.txt

A new version of I-D, draft-wilton-netmod-yang-ver-selection-00.txt
has been successfully submitted by Robert Wilton and posted to the IETF repository.

Name:		draft-wilton-netmod-yang-ver-selection
Revision:	00
Title:		YANG Schema Version Selection
Document date:	2019-03-11
Group:		Individual Submission
Pages:		16
URL:            https://www.ietf.org/internet-drafts/draft-wilton-netmod-yang-ver-selection-00.txt
Status:         https://datatracker.ietf.org/doc/draft-wilton-netmod-yang-ver-selection/
Htmlized:       https://tools.ietf.org/html/draft-wilton-netmod-yang-ver-selection-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-wilton-netmod-yang-ver-selection

Abstract:
   This document defines protocol mechanisms to allow clients to choose
   which YANG schema to use for interactions with a server, out of the
   available YANG schema supported by a server.  The provided
   functionality allow servers to support clients in a backwards
   compatible way, at the same time allowing for non-backwards-
   compatible updates to YANG modules.

   This draft provides a solution to YANG versioning requirements 3.1
   and 3.2.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat